分类: Linux

25 篇文章

Redis部分总结
redis特点 优点 读写性能优异, Redis能读的速度是110000次/s,写的速度是81000次/s。 支持数据持久化,支持AOF和RDB两种持久化方式。 支持事务,Redis的所有操作都是原子性的,同时Redis还支持对几个操作合并后的原子性执行。 数据结构丰富,除了支持string类型的value外还支持hash、set、zset、lis…
thumbnail
正则表达
一直说好好学习正则表达式,趁现在不太忙,好好过了一下正则表达式。 1、语法 正则表达式(regular expression)描述了一种字符串匹配的模式,可以用来检查一个串是否含有某种子串、将匹配的子串做替换或者从某个串中取出符合某个条件的子串等。 列目录时, dir .txt或ls *.txt中的.txt就不是一个正则表达式,因为这里与正则式的的…
RPM和YUM
1、rmp包的管理 1.1、介绍 一种用于互联网下载包的打包及安装工具,它包含在某些Linux分发版中。它生成具有.RPM扩展名的文件。RMP是RedHat Package Manager(RedHat软件包管理工具)的缩写,类似windows的setup.exe,这一文件格式名虽然打上了RedHat的标志,但理念是通用的。 Linux的分发版本都…
centos 6.5 Yum安装LNMP
安装nginx 第一步:第一步,获取 yum 源 nginx官方yum源 复制红框中的内容 第二步,在 CentOS 中新建 yum 源 [root@i-op5nhxmi ~]# cd /etc/yum.repos.d/ [root@i-op5nhxmi yum.repos.d]# vim nginx.repo //将复制的内容写进去,保存退出 测…
epel-release >= 7 is needed by (installed) webtatic-release-7-3.noarch
今天安装php7的时候yum一直抛出异常,我以为yum出现了什么问题,就差点重装yum,最后发现不是yum问题,而是rpm问题。 重点说一下解决办法吧: 上面这个异常同时伴随着: Error: xz compression not available 这个问题的出现主要是因为安装了不符合版本的源,先查看自己系统版本: cat /etc/redhat…
CentOS安装PHP5.6
最新需要安装一下phpLdapAdmin管理系统,开始我装的是php7.2的版本,然后爆出各种不兼容,随后我就把php7.2卸载了,准备安装php5.6版本的,最后还是发现我太年轻啊!!!5.6版本都尼玛不兼容。最后我还是装了php5.6版本,然后也找到了解决不兼容的办法。具体参考我上一篇文章。 好,废话不多说,直接上代码。 配置yum源 追加Ce…